Skip to main content
GET
/
v1
/
instant-swap
/
currencies
Get supported instant swap currencies
curl --request GET \
  --url https://api.openxswitch.com/v1/instant-swap/currencies \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "coin": "ETH",
      "maxAmount": "5",
      "minAmount": "0.0005"
    }
  ],
  "totalPage": 123,
  "pageNo": 123,
  "pageLimit": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.openxswitch.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success
boolean
required
Example:

true

data
object[]
required
totalPage
number
required
pageNo
number
required
pageLimit
number
required